.checkout{
    &__summary{
        .checkout-summary{

            &__cart{
                border-bottom:1px solid #ececec;
            }

            &__button{
                margin-top:1rem;
                width:100%;
                height: 45px;
                
                letter-spacing: 2px;
         
                background: #000;
                font-size: 1.5rem;
            }
        }
    }    
}

.checkout-summary{    
    &__code{
        padding:$content-padding 0;

        border-bottom:1px solid $grey-border;

        font-size:1.4rem;

        .checkout-code{
            &__title{
                display:block;

                margin-bottom:$content-padding;
            }
        
            &__group{
                label{
                    display:block;

                    margin-bottom:1rem;
                }
        
                input{
                    flex-grow:1;
                    display:inline-block;
        
                    font-size:1.2rem;
        
                    height:36px;

                    margin-right:1rem;
                }
        
                button{
                    display:inline-block;

                    width:150px;
                }
            }

            &__input-group{
                @include flex;
            }
        }
    }    
}

.cart-summary{
    &__header{
        @include flex($just: space-between); 

        padding-bottom:$checkout-content-padding;

        cursor:pointer;

        &--mobile{
            display:none;
        }
    }

    &__body{
        padding:0 0 $checkout-content-padding;

        display:none;

        &--shown{
            display:block;
        }

        @include md{
            display:block;
        }
    }

    &__item{
        @include flex($align: center);

        font-size:1.4rem;

        padding:1rem 0;
    }

    &__product-image{
        max-width:100px;
        width:100%;

        margin-right:$checkout-content-padding;
    }

    &__product{
        @include flex($just: space-between, $align: flex-end);
        flex-grow:1;
    }

    &__product-info{
        @include flex($dir: column);
    }

    &__product-title{
        font-weight: bold;

        margin-bottom:2rem;
    }

    &__product-attribute{
        margin-bottom:.5rem;
    }

    &__price{
        white-space: nowrap;
    }
    
}

.checkout-summary{
    &__pricing{
        padding:$content-padding 0;

        font-size:1.4rem;

        .order-pricing{
            &__item{
                @include flex($just: space-between);

                padding:.5rem 0;

                &--outstand{
                    margin-top:$checkout-content-padding;

                    font-weight: bold;
                    text-transform: uppercase;
                }
            }
        }
    }
}